<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php 
  require('load_this/load_bigware_11.php'); 
	
if ($_POST['items_sort']){
 foreach($_POST['items_sort'] as $key=>$value){
  if ($value!=0) {
   $update_query = "update items set items_sort=".$value." where items_id=".$key;
	 	go_db_query($update_query);
	} 
 }
 go_forward('main_bigware_14.php?bigPfad='.$_POST['bigPfad']);
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/general.js"></script>
<script language="javascript" src="load_this/menu.js"></script>



</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<table align="right">
 <tr>
  <td class="smallText">
<br><br> 	
   <?php 
    echo go_fetch_form('goto', NAME_OF_FILE_CATEGORIES_SORT, '', 'get');
    echo 'Gehe zu  ' . go_fetch_pull_down_menu('bigPfad', go_get_category_tree(), $current_category_id, 'onChange="this.form.submit();"');
    echo '</form>';
   ?>
 <br><br> 	
	</td>
 </tr>
</table> 	

<br><br>  

<table width="100%" cellpadding="10" cellspacing="10">
 <tr>
  <td>
<?php 
if ($_REQUEST['bigPfad']){
 $bigPfad=$_REQUEST['bigPfad']; 
 
 $list_query = go_db_query('select distinct p.items_id,p.items_sort,pd.items_name, p.items_price  from items_description pd, items p,items_to_categories pc where p.items_id=pd.items_id  and p.items_id=pc.items_id and pc.categories_id='.$bigPfad.' and pd.language_id='.$languages_id.' group by p.items_id ORDER BY p.items_sort ASC');
 $list_num = go_db_num_rows($list_query);
 echo '<div class="pageGeneralsign">' . TEXT_ITEM_SORTORDER . ' </div><br>';
 echo '<table width="90%" cellpadding="2" cellspacing="0" align="center" border="1" style="border-collapse: collapse">';
 if ($list_num>0) { 
 echo '<tr class="tbUPCountData"><td class="tbUPDataInside">' . TEXT_SORT . ' </td><td class="tbUPDataInside">' . TEXT_ITEM . ' </td><td class="tbUPDataInside">' . TEXT_PRICE . ' </td></tr>';
 }
 echo '<form method="post" name="sortlist" action='.$_SERVER['PHP_INFO'].'>';
 for ($i=0; $i<$list_num; $i++){
  $items_id[$i] = go_db_result($list_query, $i, 'items_id');
	$items_name[$i] = go_db_result($list_query, $i, 'items_name');
	$items_price[$i] = go_db_result($list_query, $i, 'items_price');
	$items_sort[$i] = go_db_result($list_query, $i, 'items_sort');
	if ($items_sort[$i]==2147483647){
	 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="text" size=4 name="items_sort['.$items_id[$i].']" value="0" style="text-align:right"></td>';
	}
	else {
	 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="text" size=4 name="items_sort['.$items_id[$i].']" value="'.$items_sort[$i].'" style="text-align:right"></td>';
	} 
	echo '<td class="TbInsideData">'.$items_name[$i].'</td><td class="TbInsideData">'.$items_price[$i].'</td>';
 }
 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="hidden" name="bigPfad" value="'.$bigPfad.'"></td></tr>';
 if ($list_num>0) {
  echo '<tr><td colspan=3 class="TbInsideData"><input type="image" name="sort" src="picture/button_sort.gif" onClick = "this.form.submit()"></td></tr>';}
 echo '</form>  </td>
 </tr>
</table> ';
 if ($list_num==0) {echo 'Keine Artikel in dieser Kategorie';}
}
?>
	
  </td>
 </tr>
</table>  
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<br>
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
